API key Not set Generate one under Settings → API. Stored locally only.

## Orchestration API quick start

Use role-based metadata to preview, run, stream, and cancel multi-agent work modes. Instructions and model ids are optional; omit model to use CLI settings.

Preview DAG `POST /api/orchestration/workflows/{id}/preview`
Start run `POST /api/orchestration/workflows/{id}/runs`
Stream run `GET /api/orchestration/workflows/runs/{runId}/events`
Execution context `GET /api/orchestration/workflows/context`

    curl -H "Authorization: Bearer px_..." \
      -H "content-type: application/json" \
      -d '{"metadata":{"agents":[{"adapterId":"codex","role":"frontend"},{"adapterId":"codex","role":"backend"},{"adapterId":"codex","role":"review"}]}}' \
      /api/orchestration/workflows/agent_team/preview

Loading API reference…